<!DOCTYPE html>
<html>
<head>
  <title>Sign Up</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      background-color: #f2f2f2;
      margin: 0;
      padding: 0;
    }

    .container {
      max-width: 400px;
      margin: 100px auto;
      padding: 20px;
      background-color: #fff;
      border-radius: 4px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    }

    h1 {
      text-align: center;
    }

    .form-group {
      margin-bottom: 20px;
    }

    label {
      display: block;
      font-weight: bold;
      margin-bottom: 5px;
    }

    input[type="text"],
    input[type="email"],
    input[type="password"] {
      width: 90%; /* Adjust the width as desired */
      padding: 10px;
      font-size: 16px;
      border-radius: 4px;
      border: 1px solid #ccc;
    }

    .btn {
      display: inline-block;
      padding: 10px 20px;
      font-size: 16px;
      text-align: center;
      text-decoration: none;
      background-color: #007bff;
      color: #fff;
      border-radius: 4px;
      border: none;
      cursor: pointer;
    }

    .btn:hover {
      background-color: #0069d9;
    }
  </style>
</head>
<body>
    <div class="container">
      <h1>Sign Up</h1>
      <form action="{% url 'sign_up' %}" method="POST">
        {% csrf_token %}
        <div class="form-group">
          <label for="id_username">Username:</label>
          <input type="text" id="id_username" name="username" placeholder="Enter your username" required>
        </div>
        <div class="form-group">
          <label for="id_password1">Password:</label>
          <input type="password" id="id_password1" name="password1" placeholder="Enter your password" required>
        </div>
        <div class="form-group">
          <label for="id_password2">Confirm Password:</label>
          <input type="password" id="id_password2" name="password2" placeholder="Confirm your password" required>
        </div>
        <button type="submit" class="btn">Sign Up</button>
        <a href="{% url 'sign_in' %}" class="btn">Sign In</a>
      </form>
    </div>
  </body>
</html>